ExpressionFactoryImpl (Tomcat API Documentation)
Keywords: org.apache.el.ExpressionFactoryImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el
Class ExpressionFactoryImpl

    java.lang.Object
      javax.el.ExpressionFactory
          org.apache.el.ExpressionFactoryImpl

    public class ExpressionFactoryImpl

extends javax.el.ExpressionFactory

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: markt $
Author:
  Jacob Hookom [jacob@hookom.net]
See Also:
  `ExpressionFactory`

Constructor Summary
`ExpressionFactoryImpl()`

Method Summary
`java.lang.Object` | `coerceToType(java.lang.Object obj, java.lang.Class type)`
`javax.el.MethodExpression` | `createMethodExpression(javax.el.ELContext context, java.lang.String expression, java.lang.Class<?> expectedReturnType, java.lang.Class<?>[] expectedParamTypes)`
`javax.el.ValueExpression` | `createValueExpression(javax.el.ELContext context, java.lang.String expression, java.lang.Class expectedType)`
`javax.el.ValueExpression` | `createValueExpression(java.lang.Object instance, java.lang.Class expectedType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionFactoryImpl

    public ExpressionFactoryImpl()

Method Detail

### coerceToType

    public java.lang.Object coerceToType(java.lang.Object obj,
                                         java.lang.Class type)

  Specified by:
    `coerceToType` in class `javax.el.ExpressionFactory`

### createMethodExpression

    public javax.el.MethodExpression createMethodExpression(javax.el.ELContext context,
                                                            java.lang.String expression,
                                                            java.lang.Class<?> expectedReturnType,
                                                            java.lang.Class<?>[] expectedParamTypes)

  Specified by:
    `createMethodExpression` in class `javax.el.ExpressionFactory`

### createValueExpression

    public javax.el.ValueExpression createValueExpression(javax.el.ELContext context,
                                                          java.lang.String expression,
                                                          java.lang.Class expectedType)

  Specified by:
    `createValueExpression` in class `javax.el.ExpressionFactory`

### createValueExpression

    public javax.el.ValueExpression createValueExpression(java.lang.Object instance,
                                                          java.lang.Class expectedType)

  Specified by:
    `createValueExpression` in class `javax.el.ExpressionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.